%global fontname oflb-brett
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        20080506
Release:        7%{?dist}
Summary:        A handwriting font

Group:          User Interface/X
License:        OFL
## Note that upstream is dead and there is no download link available at this minute
## so please don't report FTBFS bugs for this package.
URL:            http://openfontlibrary.org/media/files/brettalton/205
Source0:        BrettFont1.1.ttf
Source1:        %{name}-fontconfig.conf
#license text extracted from font file
Source2:        License.txt
BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Obsoletes:      brettfont-fonts < 20080506-7
Provides:       brettfont-fonts = %{version}-%{release}

%description
A handwriting font made by Brett Alton.


%prep
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} .

%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc License.txt

%changelog
* Tue Jul 13 2010 Parag Nemade <pnemade AT redhat.com> - 20080506-7
- Initial package to rename from brettfont-fonts.
- updated/renamed this package according to fonts packaging guidelines.

